## IdeConfigViewAddin IdeConfigViewAddin |

## Functions

void | ide_config_view_addin_load ()

## Types and Values

#define | IDE_TYPE_CONFIG_VIEW_ADDIN
struct | IdeConfigViewAddinInterface
| IdeConfigViewAddin

## Object Hierarchy

        GInterface
        ╰── IdeConfigViewAddin

## Prerequisites

IdeConfigViewAddin requires GObject.

## Description

## Functions

### ide_config_view_addin_load ()

    void
    ide_config_view_addin_load (IdeConfigViewAddin *self,
                                DzlPreferences *preferences,
                                IdeConfig *configuration);

## Types and Values

### IDE_TYPE_CONFIG_VIEW_ADDIN

    #define IDE_TYPE_CONFIG_VIEW_ADDIN (ide_config_view_addin_get_type())

### struct IdeConfigViewAddinInterface

    struct IdeConfigViewAddinInterface {
      GTypeInterface parent_iface;

      void (*load) (IdeConfigViewAddin *self,
                    DzlPreferences     *preferences,
                    IdeConfig          *configuration);
    };

### IdeConfigViewAddin

    typedef struct _IdeConfigViewAddin IdeConfigViewAddin;